$ ghc-pkg check<div><br></div><div>outputs nothing<br><br></div><div><div>$ ghc-pkg list unix</div><div>/var/lib/ghc-6.12.1/package.conf.d</div><div>   unix-2.4.0.0</div><div>/home/alex/.ghc/x86_64-linux-6.12.1/package.conf.d</div>
</div><div><br></div><div>&quot;unix&quot; appears to be in the build-depends of the &quot;Library&quot;, but not in the build-depends of &quot;Executable lambdabot&quot;</div><div>Adding &quot;unix&quot; to the second build-depends appears to fix the error (but now it complains that base is hidden).</div>
<div><br><div class="gmail_quote">On Wed, Mar 31, 2010 at 8:48 PM, Ivan Miljenovic <span dir="ltr">&lt;<a href="mailto:ivan.miljenovic@gmail.com">ivan.miljenovic@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">
<div class="im">On 1 April 2010 11:42, Alex Rozenshteyn &lt;<a href="mailto:rpglover64@gmail.com">rpglover64@gmail.com</a>&gt; wrote:<br>
&gt; Main.hs:11:7:<br>
&gt;     Could not find module `System.Posix.Signals&#39;:<br>
&gt;       It is a member of the hidden package `unix-2.4.0.0&#39;.<br>
&gt;       Perhaps you need to add `unix&#39; to the build-depends in your .cabal<br>
&gt; file.<br>
<br>
</div>Interesting, because unix _is_ listed in build-depends in the .cabal<br>
file for lambdabot.<br>
<br>
Does &quot;ghc-pkg check&quot; complain about unix?  Does &quot;ghc-pkg list unix&quot;<br>
say it&#39;s there?<br>
<div class="im"><br>
&gt; I have a feeling this has something to do with the interaction between cabal<br>
&gt; and apt...<br>
<br>
</div>Highly unlikely unless there&#39;s an inconsistency in the packages on your system.<br>
<font color="#888888"><br>
--<br>
Ivan Lazar Miljenovic<br>
<a href="mailto:Ivan.Miljenovic@gmail.com">Ivan.Miljenovic@gmail.com</a><br>
<a href="http://IvanMiljenovic.wordpress.com" target="_blank">IvanMiljenovic.wordpress.com</a><br>
</font></blockquote></div><br><br clear="all"><br>-- <br>          Alex R<br>
</div>